
QGIS Application - Bug report #14103

Application crash on Categorized classification without a column specified

2016-01-14 07:56 AM - Dennis Bauszus

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.12.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 22109

Description

Using QGIS 2.12.0 I regularly create themed layers with Categorized classifications. I use the circle symbol and a color ramp.

The data is point geometry from a local PostGIS DB. This works fine. However when I forgot to set a column the QGIS application

crashes out. A Crash dumped exception is displayed (see attachment).

History

#1 - 2016-01-15 07:07 AM - Alexander Bruy

- Status changed from Open to Feedback

Seems fixed in master

#2 - 2016-02-20 01:02 AM - Saber Razmjooei

- Status changed from Feedback to Closed

Fixed in master.
